OpenTTD Source: SlIndustryProducedHistory Class Reference

OpenTTD Source 15.3

Public Member Functions | Static Public Attributes
SlIndustryProducedHistory Class Reference
Inheritance diagram for SlIndustryProducedHistory:

## Public Member Functions
void | Save (Industry::ProducedCargo *p) const override
void | Load (Industry::ProducedCargo *p) const override
Public Member Functions inherited from DefaultSaveLoadHandler< SlIndustryProducedHistory, Industry::ProducedCargo >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
void | Save (void *object) const override
| Save the object to disk.
void | Load (void *object) const override
| Load the object from disk.
virtual void | LoadCheck (Industry::ProducedCargo *object) const
void | LoadCheck (void *object) const override
| Similar to load, but used only to validate savegames.
virtual void | FixPointers (Industry::ProducedCargo *object) const
void | FixPointers (void *object) const override
| A post-load callback to fix SL_REF integers into pointers.
Public Member Functions inherited from SaveLoadHandler
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk.

## Static Public Attributes
static const SaveLoad | description []
static const SaveLoadCompatTable | compat_description = _industry_produced_history_sl_compat

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

Definition at line 84 of file industry_sl.cpp.

## Member Function Documentation

## ◆ Load()

void SlIndustryProducedHistory::Load | ( | Industry::ProducedCargo * | p | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlIndustryProducedHistory, Industry::ProducedCargo >.

Definition at line 107 of file industry_sl.cpp.

## ◆ Save()

void SlIndustryProducedHistory::Save | ( | Industry::ProducedCargo * | p | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlIndustryProducedHistory, Industry::ProducedCargo >.

Definition at line 92 of file industry_sl.cpp.

## Field Documentation

## ◆ compat_description

const SaveLoadCompatTable SlIndustryProducedHistory::compat_description = _industry_produced_history_sl_compat
| inlinestatic

Definition at line 90 of file industry_sl.cpp.

## ◆ description

const SaveLoad SlIndustryProducedHistory::description[]
| inlinestatic

Initial value:
= {
SLE_VAR(Industry::ProducedHistory, production, SLE_UINT16),
SLE_VAR(Industry::ProducedHistory, transported, SLE_UINT16),
}
SLE_VAR
#define SLE_VAR(base, variable, type)
Storage of a variable in every version of a savegame.
Definition saveload.h:1017
Industry::ProducedHistory
Definition industry.h:63

Definition at line 86 of file industry_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/industry_sl.cpp